> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corbado.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start connect login

> Starts an initialized [Corbado Connect](https://docs.corbado.com/corbado-connect) login process.



## OpenAPI

````yaml https://frontendapi.cloud.corbado.io/v2/openapi.yaml post /v2/connect/login/start
openapi: 3.0.3
info:
  version: 2.0.4
  title: Corbado Frontend API
  description: >-
    Overview of all Corbado Frontend API calls to implement passwordless
    authentication.
  contact:
    name: Corbado team
    email: support@corbado.com
    url: https://www.corbado.com
servers:
  - url: https://{projectId}.frontendapi.corbado.io
    variables:
      projectId:
        description: Your Corbado project ID
        default: pro-000000
security:
  - bearerAuth: []
  - projectID: []
tags:
  - name: Auth
    description: All API calls that are related to an authentication process.
  - name: Configs
    description: All API calls to manage configurations
  - name: Users
    description: All API calls to manage users
  - name: CorbadoConnect
    description: All API calls that are related to a connect process
  - name: OIDC
    description: All API calls that are related to OpenID Connect
  - name: WellKnown
    description: All API calls that are related to WellKnown assets
paths:
  /v2/connect/login/start:
    post:
      tags:
        - CorbadoConnect
      summary: Start connect login
      description: >-
        Starts an initialized [Corbado
        Connect](https://docs.corbado.com/corbado-connect) login process.
      operationId: ConnectLoginStart
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/connectLoginStartReq'
      responses:
        '200':
          description: Contains the challenge for the passkey login.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/connectLoginStartRsp'
        '404':
          description: No user was found for the identifier
components:
  schemas:
    connectLoginStartReq:
      type: object
      required:
        - identifier
        - source
        - loadedMs
      properties:
        identifier:
          type: string
        source:
          type: string
          enum:
            - one-tap
            - text-field
            - error-soft
            - error-hard
        loadedMs:
          type: integer
          format: int64
        loginConnectToken:
          type: string
        identifierHintAvailable:
          type: boolean
        oneTapMeta:
          $ref: '#/components/schemas/clientStateMeta'
    connectLoginStartRsp:
      type: object
      required:
        - assertionOptions
        - isCDA
        - fallbackOperationError
      properties:
        assertionOptions:
          type: string
        isCDA:
          type: boolean
        fallbackOperationError:
          $ref: '#/components/schemas/fallbackOperationError'
        preferImmediatelyAvailable:
          type: boolean
    clientStateMeta:
      type: object
      required:
        - ts
        - source
      properties:
        ts:
          type: integer
          format: int64
        source:
          type: string
          enum:
            - ls
            - url
            - native
    fallbackOperationError:
      type: object
      required:
        - initFallback
      properties:
        initFallback:
          type: boolean
        identifier:
          type: string
        error:
          $ref: '#/components/schemas/requestError'
    requestError:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        After a user logs in successfully, a session is created and a JWT token
        is returned.

        This token represents the user's authenticated session.

        It must be included in the `Authorization` header as a Bearer token for
        all protected endpoints:


        `Authorization: Bearer <your-token>`


        The server will validate this token to authorize access.
    projectID:
      type: apiKey
      in: header
      name: X-Corbado-ProjectID
      description: |
        Identifies your project context for Corbado.
        Include this in the request headers as:

        `X-Corbado-ProjectID: <your-project-id>`

````